"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964820>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x00000192499648B0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964940>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000192499649D0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964A60>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964AF0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964B80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964C10>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964CA0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964D30>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964DC0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964E50>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964EE0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249964F70>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C040>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C0D0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C160>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C1F0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C280>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C310>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C3A0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C430>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C4C0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C550>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C670>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C5E0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C700>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C790>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C820>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C8B0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C940>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996C9D0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CA60>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CAF0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CB80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CC10>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CCA0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CD30>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CDC0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CE50>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CEE0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996CF70>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F040>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F0D0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F160>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F1F0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F280>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F310>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F3A0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F430>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F4C0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F550>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F5E0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F670>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F700>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F790>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F820>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F8B0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F940>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996F9D0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996FA60>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996FAF0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996FB80>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996FC10>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996FCA0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996FE50>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996FD30>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996FEE0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001924996FF70>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972040>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000192499720D0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972160>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972280>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000192499721F0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972310>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x00000192499723A0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972430>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972550>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x00000192499724C0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x00000192499725E0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972670>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972700>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972790>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000019249972820>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000192499728B0>)]
name: str = 'fr_HOCCN'
